Package Details: pantheon-applications-menu-git 2.5.0.r152.13a9269-1

Git Clone URL: https://aur.archlinux.org/pantheon-applications-menu-git.git (read-only, click to copy)
Package Base: pantheon-applications-menu-git
Description: The Pantheon Application Menu
Upstream URL: https://github.com/elementary/applications-menu
Licenses: GPL3
Groups: pantheon-unstable
Conflicts: pantheon-applications-menu
Provides: pantheon-applications-menu
Submitter: alucryd
Maintainer: quequotion
Last Packager: quequotion
Votes: 32
Popularity: 0.47
First Submitted: 2017-05-07 14:21
Last Updated: 2020-09-04 17:37

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

Anonymous comment on 2013-04-23 08:45

slingshot-launcher: error while loading shared libraries: libgee.so.2: cannot open shared object file: No such file or directory

PedroHLC commented on 2013-04-22 22:33

libgee updated today, now this package it's throwing "package 'gee-1.0' not found"

Ner0 commented on 2012-11-10 19:14

Yeah, they've switched to gnome-menus2. I've updated the PKGBUILD.

I think that that's an really old version of slingshot on Pear Linux.

darthpenguin commented on 2012-11-10 18:40

Nevermind. I just needed gnome-menus2. But I installed slingshot and it's not behaving like it should (like it does on Pear Linux). It launches as a menu from the gnome bar (kind of like Cinnamon) but it should take the entire screen (like the launcher on Apple)

darthpenguin commented on 2012-11-10 18:07

Getting following error:

-- Found Vala: /usr/bin/valac
-- checking for a minimum Vala version of 0.15.1
-- found Vala, version 0.18.0
-- GSettings schemas will be installed locally.
-- GSettings schemas will be installed into /usr/share/glib-2.0/schemas/
-- Configuring incomplete, errors occurred!
==> ERROR: A failure occurred in build().
Aborting...

Ner0 commented on 2012-09-20 08:47

You're right, updated.

mefistofeles commented on 2012-09-19 20:39

I think dependency should be gnome-menus and not gnome-menus2.

paulbarbee commented on 2012-07-31 21:58

Thanks! I had to re-install granite-bzr, then I could re-install slingshot-bzr.

Ner0 commented on 2012-07-30 22:44

Yeah, you need granite-bzr, i've updated the PKGBUILD.

paulbarbee commented on 2012-07-30 19:52

I got the following while trying to upgrade today.

-- Build files have been written to: /tmp/packerbuild-1000/slingshot-bzr/slingshot-bzr/src/new-slingshot-build/build
[ 6%] Generating src/Slingshot.c, src/SlingshotView.c, src/Settings.c, src/Utils.c, src/Backend/AppSystem.c, src/Backend/App.c, src/Backend/RelevancyService.c, src/Widgets/AppEntry.c, src/Widgets/Grid.c, src/Widgets/Switcher.c, src/Widgets/SearchView.c, src/Widgets/SearchItem.c, src/Widgets/Sidebar.c, src/Widgets/CategoryView.c
/tmp/packerbuild-1000/slingshot-bzr/slingshot-bzr/src/new-slingshot-build/src/Widgets/Sidebar.vala:41.21-41.41: warning: chained relational expressions are experimental
if (0 <= value < cat_size) {
^^^^^^^^^^^^^^^^^^^^^
/tmp/packerbuild-1000/slingshot-bzr/slingshot-bzr/src/new-slingshot-build/src/Backend/App.vala:80.32-81.94: warning: unhandled error `GLib.Error'
/tmp/packerbuild-1000/slingshot-bzr/slingshot-bzr/src/new-slingshot-build/src/Widgets/SearchItem.vala:80.39-81.94: warning: unhandled error `GLib.Error'
/tmp/packerbuild-1000/slingshot-bzr/slingshot-bzr/src/new-slingshot-build/src/Backend/RelevancyService.vala:48.33-48.62: warning: unhandled error `GLib.Error'
var ptr_arr = yield zg_dsr.get_data_sources (null);
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
/tmp/packerbuild-1000/slingshot-bzr/slingshot-bzr/src/new-slingshot-build/src/SlingshotView.vala:295.17-295.82: error: 1 extra arguments for `void Granite.Widgets.PopOver.move_to_coords (int x, int y)'
move_to_coords (monitor_dimensions.x, monitor_dimensions.y, false); // this would be coordinates 0,0 on the screen
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
make[2]: *** [src/Slingshot.c] Error 1
make[1]: *** [CMakeFiles/slingshot-launcher.dir/all] Error 2
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
The build failed.